Bug 557393 - Review Request: ghc-haskell-src - Haskell source-code manipulation library
Review Request: ghc-haskell-src - Haskell source-code manipulation library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks: haskell-platform 555443
  Show dependency treegraph
 
Reported: 2010-01-21 05:15 EST by Jens Petersen
Modified: 2010-10-05 09:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-27 02:29:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rpandit: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-01-21 05:15:16 EST
Spec URL: http://petersen.fedorapeople.org/ghc-haskell-src/ghc-haskell-src.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-haskell-src/ghc-haskell-src-1.0.1.3-2.fc12.src.rpm
Description: Haskell source-code manipulation library

Facilities for manipulating Haskell source code:\
an abstract syntax, lexer, parser and pretty-printer.

Part of haskell-platform
Comment 1 Rakesh Pandit 2010-01-21 06:13:11 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=1936019 fails to build.
Comment 2 Jens Petersen 2010-01-22 04:39:14 EST
oops fixing:

Spec URL: http://petersen.fedorapeople.org/ghc-haskell-src/ghc-haskell-src.spec
SRPM URL:
http://petersen.fedorapeople.org/ghc-haskell-src/ghc-haskell-src-1.0.1.3-3.fc12.src.rpm


* Fri Jan 22 2010 Jens Petersen <petersen@redhat.com> - 1.0.1.3-3
- buildrequires happy (Rakesh Pandit, #557393)

http://koji.fedoraproject.org/koji/taskinfo?taskID=1937899
Comment 3 Rakesh Pandit 2010-01-24 06:43:27 EST
[+] Build - http://koji.fedoraproject.org/koji/taskinfo?taskID=1941095  - fine
[+] source ok
from srpm (sha1sum)

[rakesh@dhcp1-96 SPECS]$ sha1sum haskell-src-1.0.1.3.tar.gz 
21b14d8b885e9a2ca6b4226d7619b7ca966097fe  haskell-src-1.0.1.3.tar.gz
[rakesh@dhcp1-96 SPECS]$ sha1sum ../SOURCES/haskell-src-1.0.1.3.tar.gz 
21b14d8b885e9a2ca6b4226d7619b7ca966097fe  ../SOURCES/haskell-src-1.0.1.3.tar.gz

[+] name fine
[+] URL fine
[+] rpmlint - ok 

===========================================================================
Koji build rpm /tmp/gachvByqpk/kojiy20BeW/1941097/ghc-haskell-src-prof-1.0.1.3-3.fc13.i686.rpm output:
===========================================================================

Rpmlint Messages:
ghc-haskell-src-prof.i686: E: devel-dependency ghc-haskell-src-devel
ghc-haskell-src-prof.i686: W: no-documentation
ghc-haskell-src-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.1/haskell-src-1.0.1.3/libHShaskell-src-1.0.1.3_p.a
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Ignored.

===========================================================================
Koji build rpm /tmp/gachvByqpk/kojiy20BeW/1941097/ghc-haskell-src-doc-1.0.1.3-3.fc13.i686.rpm output:
===========================================================================

Rpmlint Messages:
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Clean.

===========================================================================
Koji build rpm /tmp/gachvByqpk/kojiy20BeW/1941097/ghc-haskell-src-1.0.1.3-3.fc13.i686.rpm output:
===========================================================================

Rpmlint Messages:
ghc-haskell-src.i686: W: unstripped-binary-or-object /usr/lib/ghc-6.12.1/haskell-src-1.0.1.3/libHShaskell-src-1.0.1.3-ghc6.12.1.so
ghc-haskell-src.i686: W: executable-stack /usr/lib/ghc-6.12.1/haskell-src-1.0.1.3/libHShaskell-src-1.0.1.3-ghc6.12.1.so
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Ignored.

===========================================================================
Koji build rpm /tmp/gachvByqpk/kojiy20BeW/1941097/ghc-haskell-src-devel-1.0.1.3-3.fc13.i686.rpm output:
===========================================================================

Rpmlint Messages:
ghc-haskell-src-devel.i686: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Ignored.

===========================================================================
Log info /tmp/gachvByqpk/kojiy20BeW/1941096/build.log:
===========================================================================
Log warnings:warning: Could not canonicalize hostname: xb-01.phx2.fedoraproject.org
Log warnings:    Warning: Module `Prelude' is deprecated:
----------------------------------------------------------------------------

Log warnings:    Warning: Bindings containing unlifted types must use an outermost bang pattern:
----------------------------------------------------------------------------

Ignored.

===========================================================================
Log info /tmp/gachvByqpk/kojiy20BeW/1941097/build.log:
===========================================================================
Log warnings:warning: Could not canonicalize hostname: xb-01.phx2.fedoraproject.org
Log warnings:    Warning: Module `Prelude' is deprecated:
----------------------------------------------------------------------------

Log warnings:    Warning: Bindings containing unlifted types must use an outermost bang pattern:
----------------------------------------------------------------------------

Log warnings:Warning: The documentation for the following packages are not installed. No
Log warnings:warning: Could not canonicalize hostname: xb-01.phx2.fedoraproject.org
===========================================================================
Log check ends:
===========================================================================

Ignored.

May you check with bindings contain unlifted types warnings in log ? They don't seem to be harmful, but still have a look.

[+] spec name fine
[+] license ok (copy present) and source has marking
[+] source tree ok (no binaries present)
[+] archs - fine
[+] spec file legible and in american english
[+] BR's ok
[+] %files ok
[+] folders owned - ok

main
/usr/lib/ghc-6.12.1/haskell-src-1.0.1.3
/usr/share/doc/ghc-haskell-src-1.0.1.3
devel
/usr/lib/ghc-6.12.1/haskell-src-1.0.1.3
/usr/lib/ghc-6.12.1/haskell-src-1.0.1.3/Language
/usr/lib/ghc-6.12.1/haskell-src-1.0.1.3/Language/Haskell
doc
/usr/share/doc/ghc/html/libraries/haskell-src-1.0.1.3

[+] source builds fine on fedora ghc archs
[+] no bundled dependencies
[+] %clean section ok
[+] filenames - ok (valid)
[+] profiling ok
[+] lib goes to %{_libdir}/ghc-%{ghc_version}/%{pkg_name}-%{version}
[+] new macros

APPROVED

Thanks,
Comment 4 Jens Petersen 2010-01-24 19:38:49 EST
Thanks


New Package CVS Request
=======================
Package Name: ghc-haskell-src
Short Description: Haskell source-code manipulation library
Owners: petersen
Branches: devel
InitialCC: haskell-sig
Comment 5 Jason Tibbitts 2010-01-27 00:22:35 EST
CVS done (by process-cvs-requests.py).
Comment 6 Jens Petersen 2010-01-27 02:29:14 EST
Thanks - imported and submitted to koji.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1947281
Comment 7 Jens Petersen 2010-10-05 00:30:28 EDT
Package Change Request
======================
Package Name: ghc-haskell-src
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 8 Jason Tibbitts 2010-10-05 09:24:35 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.